package vip.xiaonuo.coldchain.modular.monitordevicepower.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import vip.xiaonuo.coldchain.modular.monitordevicepower.entity.MonitorDevicePower;
import vip.xiaonuo.coldchain.modular.monitordevicepower.param.MonitorDevicePowerAddParam;
import vip.xiaonuo.coldchain.modular.monitordevicepower.param.MonitorDevicePowerEditParam;
import vip.xiaonuo.coldchain.modular.monitordevicepower.param.MonitorDevicePowerIdParam;
import vip.xiaonuo.coldchain.modular.monitordevicepower.param.MonitorDevicePowerPageParam;

import java.util.List;

public interface MonitorDevicePowerService  extends IService<MonitorDevicePower> {

    /**
     * 获取电源管理分页
     */
    Page<MonitorDevicePower> page(MonitorDevicePowerPageParam monitorDevicePowerPageParam);

    void add(MonitorDevicePowerAddParam monitorDevicePowerAddParam);

    void edit(MonitorDevicePowerEditParam monitorDevicePowerEditParam);

    void delete(List<MonitorDevicePowerIdParam> monitorDevicePowerIdParamList);

    MonitorDevicePower detail(MonitorDevicePowerIdParam monitorDevicePowerIdParam);

    MonitorDevicePower queryEntity(String id);

    List<MonitorDevicePower> myList();
}
